<?php

/*
TinyBrowser 1.41 - A TinyMCE file browser (C) 2008  Bryn Jones
(author website - http://www.lunarvis.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    Modified for Syndeo CMS Software Version: 2.8.00  
    config_tinybrowser.php: last changed 26/02/2009 by Fred Stuurman (fc.stuurman@gmail.com)
    Copyright (C) 2009: Fred Stuurman (fc.stuurman@gmail.com)
*/

// set script time out higher, to help with thumbnail generation
@set_time_limit(240);

$tinybrowser = array();

// Set default language (ISO 639-1 code)
$lang = strtolower($sas_config['language']);
$tinybrowser['language'] = $lang;

// Default is rtrim($_SERVER['DOCUMENT_ROOT'],'/') (suitable when using absolute paths, but can be set to '' if using relative paths)
$tinybrowser['docroot'] = rtrim($sas_config['serverpath'],'/');

// Folder permissions for Unix servers only
$tinybrowser['unixpermissions'] = $sas_config['file_permissions'];

if($path == "media")
{
	// File upload paths (set to absolute by default)
	$tinybrowser['path']['image'] = '/'.$userpath.'/media/'; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
	$tinybrowser['path']['media'] = '/'.$userpath.'/media/'; // Media files location
	$tinybrowser['path']['file']  = '/'.$userpath.'/media/'; // Other files location
}
elseif($path == "studentpages")
{
	$tinybrowser['path']['image'] = '/'.$userpath.'/studentpages/'; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
	$tinybrowser['path']['media'] = '/'.$userpath.'/studentpages/'; // Media files location
	$tinybrowser['path']['file']  = '/'.$userpath.'/studentpages/'; // Other files location
}

// File link paths - these are the paths that get passed back to TinyMCE or your application (set to equal the upload path by default)
$tinybrowser['link']['image'] = $tinybrowser['path']['image']; // Image links
$tinybrowser['link']['media'] = $tinybrowser['path']['media']; // Media links
$tinybrowser['link']['file']  = $tinybrowser['path']['file']; // Other file links

// File upload size limit (0 is unlimited)
$tinybrowser['maxsize']['image'] = 0; // Image file maximum size
$tinybrowser['maxsize']['media'] = 0; // Media file maximum size
$tinybrowser['maxsize']['file']  = 0; // Other file maximum size

// Image automatic resize on upload (0 is no resize)
$tinybrowser['imageresize']['width']  = 0;
$tinybrowser['imageresize']['height'] = 0;

// Image thumbnail source (set to 'path' by default - shouldn't need changing)
$tinybrowser['thumbsrc'] = 'path'; // Possible values: path, link

// Image thumbnail size in pixels
$tinybrowser['thumbsize'] = 120;

// Image and thumbnail quality, higher is better (1 to 99)
$tinybrowser['imagequality'] = 90; // only used when resizing or rotating
$tinybrowser['thumbquality'] = 80;

// Date format, as per php date function
$dateformat = str_replace("%", "", $sas_config['dateformat']);
$dateformat = str_replace("-", "/", $dateformat);
$tinybrowser['dateformat'] = $dateformat.' H:i';

// Permitted file extensions
$tinybrowser['filetype']['image'] = '*.jpg, *.jpeg, *.gif, *.png'; // Image file types
$tinybrowser['filetype']['media'] = '*.swf, *.dcr, *.mov, *.qt, *.mpg, *.mp3, *.mp4, *.mpeg, *.avi, *.wmv, *.wm, *.asf, *.asx, *.wmx, *.wvx, *.rm, *.ra, *.ram'; // Media file types
$tinybrowser['filetype']['file']  = '*.*'; // All file types

// Prohibited file extensions
$tinybrowser['prohibited'] = array('htaccess');

// Default file sort
$tinybrowser['order']['by']   = 'name'; // Possible values: name, size, type, modified
$tinybrowser['order']['type'] = 'asc'; // Possible values: asc, desc

// Default image view method
$tinybrowser['view']['image'] = 'detail'; // Possible values: thumb, detail

// File Pagination - split results into pages (0 is none)
$tinybrowser['pagination'] = 0;

// TinyBrowser pop-up window size
$tinybrowser['window']['width']  = 840;
$tinybrowser['window']['height'] = 480;

// Assign Permissions for Upload, Edit, Delete & Folders
$tinybrowser['allowupload']  = true;
$tinybrowser['allowedit']    = true;
$tinybrowser['allowdelete']  = true;
$tinybrowser['allowfolders'] = true;

// Clean filenames on upload
$tinybrowser['cleanfilename'] = true;

// Set default action for edit page
$tinybrowser['defaultaction'] = 'delete'; // Possible values: delete, rename, move

// Set delay for file process script, only required if server response is slow
$tinybrowser['delayprocess'] = 0; // Value in seconds
?>
