/*
CKGOOGLEDOC - A plugin to easily embed documents
http://drupal.org/project/ckgoogledoc

This module allows to easily embed and read documents using Google Docs.

Modified by F.C. Stuurman (fc.stuurman@gmail.com) 28/10/2012
- add the browse button.
*/
(function() {

CKEDITOR.plugins.add('ckgoogledoc',
{
  init: function(editor)
  {
    /* COMMAND */
    editor.addCommand('insertGoogledoc', new CKEDITOR.dialogCommand('ckgoogledocDialog'));

    /* BUTTON */
    editor.ui.addButton('CKGoogledoc',
    {
      label: 'Google docs',
      command: 'insertGoogledoc',
      icon: this.path + 'ckgoogledoc.png'
    });

    /* DIALOG */
    CKEDITOR.dialog.add('ckgoogledocDialog', function (editor)
    {
      return {
        title : 'Invoegen Microsoft Office/Google Docs bestanden',
        minWidth : 500,
        minHeight : 200,
        contents :
        [{
          id : 'tab1',
          label : 'Settings',
          elements :
          [{
            type : 'text',
            id : 'url',
            label : 'Document link , klik op bladeren om een document te kiezen<br />U kunt kiezen uit de bestandsformaten: XLS, XLSX, DOC, DOCX, PPT and PDF ',
            validate : CKEDITOR.dialog.validate.notEmpty("Document URL moet worden ingevuld, klik op bladeren en selecteer een bestand!")
          },
		  {
			type: 'button',
			id : 'browse',
			label : editor.lang.common.browseServer,
			style : 'display:inline-block;',
			align : 'center',
			hidden : 'true',
			filebrowser: 'tab1:url'
		},
          {
            type : 'text',
            id : 'width',
			width : '50px',
            label : 'Document breedte in pixels',
            onShow : function() { this.setValue('100%'); },
            validate : CKEDITOR.dialog.validate.notEmpty("Document width should be provided")
          },
          {
            type : 'text',
            id : 'height',
			width : '50px',
            label : 'Document Hoogte in pixels',
            onShow : function() { this.setValue('600'); },
            validate : CKEDITOR.dialog.validate.notEmpty("Document height should be provided")
          }]
        }],
        onOk : function()
          {
            var dialog = this;
            var url = dialog.getValueOf('tab1', 'url');
            var width = dialog.getValueOf('tab1', 'width');
            var height = dialog.getValueOf('tab1', 'height');

            var inplaceTag = '<iframe src="http://docs.google.com/viewer?url=' + editor.config.baseUrl + encodeURIComponent(url) + '&embedded=true" width="' + width + '" height="' + height + '" style="border: none;">';

            editor.insertHtml(inplaceTag);
          }
        };
//dialog.add
      });
//init:
    }
//plugin.add
  });
})();
