﻿
	CKEDITOR.dialog.add( 'slideshow', function( editor )
	{

		var lang = editor.lang.slideshow,
			plugin = editor.plugins.slideshow;

	function setupData( data )
	{
		this.setValue( data[ this.id ] );
	}
	function commitData( data )
	{
		data[ this.id ] = this.getValue();
	}

	return {
		title : lang.title,
		minWidth : 680,
		minHeight : 230,
		contents :
		[
			{
				id : 'info',
				label : lang.title,
				title : lang.title,
				elements :
				[
					{
						type: 'hbox',
						widths: ['430px', '240px'],
						children:
						[
							{
								type:'vbox',
								children :
								[
									{
										id : 'width',
										type : 'text',
										label : lang.width,
										labelLayout: 'horizontal',
										widths: ['100px', '330px'],
										width : '40px',
										'default' : '400',
										setup : setupData,
										commit : commitData
									},
									{
										id : 'height',
										type : 'text',
										label : lang.height,
										labelLayout: 'horizontal',
										widths: ['100px', '330px'],
										width : '40px',
										'default' : '300',
										setup : setupData,
										commit : commitData
									},
									{
										type:'hbox',
										widths:['280px','150px'],
										children :
										[
											{
												id : 'position',
												type:'radio',
												label: lang.thumbsPosition,
												labelLayout: 'horizontal',
												widths: ['100px', '180px'],
												items : [ [lang.below,'bottom'], [lang.right,'right'], [lang.none,'none']],
												'default' : 'bottom',
												setup : setupData,
												commit : commitData
											},
											{ type:'html', html:'&nbsp;'}
										]
									},
									{
										type:'hbox',
										widths:['430px','0px'],
										children :
										[
											{
												id : 'pause',
												type:'radio',
												label: lang.pauseTime,
												labelLayout: 'horizontal',
												widths: ['100px', '330px'],
												items : [ [lang.pause2, '2000'], [lang.pause4, '4000'],[lang.pause6, '6000'],[lang.pause8, '8000'],[lang.pause10, '10000']],
												'default' : '6000',
												setup : setupData,
												commit : commitData
											},
											{ type:'html', html:'&nbsp;'}
										]
									},
									{
										type:'hbox',
										widths:['200px','230px'],
										children :
										[
											{
												id : 'titles',
												type:'radio',
												label: lang.showTitles,
												labelLayout: 'horizontal',
												widths: ['100px', '100px'],
												items : [ [lang.no,'false'], [lang.yes,'true']],
												'default' : 'false',
												setup : setupData,
												commit : commitData
											},
											{ type:'html', html:'&nbsp;'}
										]
									},
									{
										type:'hbox',
										widths:['200px','230px'],
										children :
										[
											{
												id : 'navigation',
												type:'radio',
												label: lang.showNavigation,
												labelLayout: 'horizontal',
												widths: ['100px', '100px'],
												items : [ [lang.no,'true'], [lang.yes,'false']],
												'default' : 'true',
												setup : setupData,
												commit : commitData
											},
											{ type:'html', html:'&nbsp;'}
										]
									},
									{
										type:'hbox',
										widths:['220px','210px'],
										children :
										[
											{
												id : 'align',
												type:'radio',
												label: lang.alignment,
												labelLayout: 'horizontal',
												widths: ['100px', '100px', '100px'],
												items : [ [lang.alignLeft,'left'], [lang.alignNone,''], [lang.alignRight,'right']],
												'default' : '',
												setup : setupData,
												commit : commitData
											},
											{ type:'html', html:'&nbsp;'}
										]
									},
									{
										type:'html',
										html:lang.chooseAPicture
									},
									{
										type: 'button',
										id : 'browse',
										label : editor.lang.common.browseServer,
										style : 'display:inline-block;margin-top:10px;',
										align : 'center',
										hidden : 'true',
										filebrowser: 'info:image'
									},
									{
										type:'text',
										id:'image',
										hidden:true,
										onChange : function() {
											var url = this.getValue(),
												dialog = this.getDialog();
											var preview =dialog.getContentElement('info','preview').getElement();
											preview.setHtml('<img src="' + url + '">');

										},
										setup : setupData,
										commit : commitData
									},
									{
										type:'text',
										id:'id',
										hidden:true,
										setup : setupData,
										commit : commitData
									}
								]
							},
							{
									id:'preview',
									type:'html',
									html : '<div style="width:200px;height:200px;overflow:hidden">&nbsp;</div>'
							}
						]

					}
				]
			}
		],
		onShow : function()
		{
			// Clear previously saved elements.
			this._element = null;

			var fakeImage = this.getSelectedElement();
			if ( fakeImage && fakeImage.is( 'img' ) )
				fakeImage = fakeImage.getParent();
			if ( fakeImage && fakeImage.data( 'cke-real-element-type' ) && fakeImage.data( 'cke-real-element-type' ) == 'slideshow' )
			{
				this._element = fakeImage;

				this.setupContent( CKEDITOR.plugins.slideshow.parse( fakeImage ) );
			}
//			else
//				this.setupContent( null );
		},
		onHide : function()
		{
			delete this._element;
			var preview = this.getContentElement('info','preview').getElement();
			preview.setHtml('&nbsp;');
		},
		onOk : function()
		{
			var element = this._element,
				data = {};
			this.commitContent( data );

			var html = CKEDITOR.plugins.slideshow.createHtml( data );
			if (!element)
			{
				element = CKEDITOR.plugins.slideshow.createPlaceholder(editor, null,html, false);
			}
			else
			{
				element.data('cke-realelement', encodeURIComponent( html ));
			}
			CKEDITOR.plugins.slideshow.setPlaceholderAttributes(element, data);

		}
	};
});

